/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_memset.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jdelcour <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2021/11/22 19:44:27 by jdelcour          #+#    #+#             */
/*   Updated: 2021/12/01 09:22:37 by jdelcour         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include <stddef.h>

void	*ft_memset(void *s, int c, size_t n)
{
	char	*s2;
	size_t	i;

	s2 = (char *)s;
	i = (size_t)-1;
	while (++i - n)
		i[s2] = c;
	return (s);
}
